import request from '@/utils/request'

// 查询现场可燃气体检测器/火灾报警系统列表
export function listAlarm(query) {
  return request({
    url: '/fire/alarm/list',
    method: 'get',
    params: query
  })
}

// 查询现场可燃气体检测器/火灾报警系统详细
export function getAlarm(id) {
  return request({
    url: '/fire/alarm/' + id,
    method: 'get'
  })
}

// 新增现场可燃气体检测器/火灾报警系统
export function addAlarm(data) {
  return request({
    url: '/fire/alarm',
    method: 'post',
    data: data
  })
}

// 修改现场可燃气体检测器/火灾报警系统
export function updateAlarm(data) {
  return request({
    url: '/fire/alarm',
    method: 'put',
    data: data
  })
}

// 删除现场可燃气体检测器/火灾报警系统
export function delAlarm(id) {
  return request({
    url: '/fire/alarm/' + id,
    method: 'delete'
  })
}
